Loading...
Searching...
No Matches
casacore::MArrayMath_global_functions_MArray_mathematical_operations::MVarianceFunc< T > Class Template Reference

`#include <MArrayMath.h>`

## Public Member Functions

| MVarianceFunc (uInt ddof=0)
virtual | ~MVarianceFunc ()
T | operator() (const MArray< T > &arr) const

## Private Attributes

uInt | itsDdof

## Detailed Description

template<typename T>
class casacore::MArrayMath_global_functions_MArray_mathematical_operations::MVarianceFunc< T >

Definition at line 127 of file MArrayMath.h.

## Constructor & Destructor Documentation

## MVarianceFunc()

template<typename T>

casacore::MArrayMath_global_functions_MArray_mathematical_operations::MVarianceFunc< T >::MVarianceFunc | ( | uInt | ddof = 0 | ) |

inline explicit

Definition at line 129 of file MArrayMath.h.

References itsDdof.

## ~MVarianceFunc()

template<typename T>

virtual casacore::MArrayMath_global_functions_MArray_mathematical_operations::MVarianceFunc< T >::~MVarianceFunc | ( |  | ) |

inline virtual

Definition at line 131 of file MArrayMath.h.

## Member Function Documentation

## operator()()

template<typename T>

T casacore::MArrayMath_global_functions_MArray_mathematical_operations::MVarianceFunc< T >::operator() | ( | const MArray< T > & | arr | ) | const

inline

Definition at line 132 of file MArrayMath.h.

References itsDdof, and casacore::MArrayMath_global_functions_MArray_mathematical_operations::variance().

## Member Data Documentation

## itsDdof

template<typename T>

uInt casacore::MArrayMath_global_functions_MArray_mathematical_operations::MVarianceFunc< T >::itsDdof

private

Definition at line 134 of file MArrayMath.h.

Referenced by MVarianceFunc(), and operator()().

The documentation for this class was generated from the following file:

- tables/TaQL/MArrayMath.h